Package: org.gradle.api.plugins

## [Groovy] Class JavaLibraryDistributionPlugin

- org.gradle.api.plugins.JavaLibraryDistributionPlugin

- All Implemented Interfaces and Traits:
    Plugin

      @Incubating
      class JavaLibraryDistributionPlugin
      extends Object

  A Plugin which package a Java project as a distribution including the JAR and runtime dependencies.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(org.gradle.api.internal.project.ProjectInternal project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### void apply(org.gradle.api.internal.project.ProjectInternal project)